package de.intevation.flys.client.client.services;

import com.google.gwt.user.client.rpc.AsyncCallback;

import de.intevation.flys.client.shared.model.Artifact;

import de.intevation.flys.client.shared.model.Recommendation;

/**
 * This interface provides artifact specific services as CREATE, DESCRIBE, FEED,
 * ADVANCE and OUT.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public interface ArtifactServiceAsync {

    public void create(
        String         serverUrl,
        String         locale,
        String         factory,
        String         uuid,
        Recommendation recommendation,
        AsyncCallback<Artifact> callback);
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
